# GetUserProfilePhotos - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.requests.get / GetUserProfilePhotos

# GetUserProfilePhotos

(common) `data class GetUserProfilePhotos : SimpleRequest<UserProfilePhotos>` (source)

### Constructors

(common)

#### <init>

`GetUserProfilePhotos(userId: UserId, offset: Int? = null, limit: Int? = null)`

### Properties

(common)

#### limit

`val limit: Int?`

(common)

#### offset

`val offset: Int?`

(common)

#### requestSerializer

`val requestSerializer: SerializationStrategy<*>`

(common)

#### resultDeserializer

`val resultDeserializer: DeserializationStrategy<UserProfilePhotos>`

(common)

#### userId

`val userId: UserId`

### Functions

(common)

#### method

`fun method(): String`